package org.micord.models;

import lombok.Setter;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import java.util.List;

/**
 * @author Maksim Tereshin
 */
@Setter
@XmlSeeAlso({SqlRequest.class, S3Request.class})
public abstract class Request {

	private List<RequestArgument> requestArguments;
	private String requestURL;

	@XmlElement(name = "RequestArgument")
	public List<RequestArgument> getRequestArguments() {
		return requestArguments;
	}

	@XmlElement(name = "RequestURL")
	public String getRequestURL() {
		return requestURL;
	}

}
